From 5d745adb50e9a3ce61a6ef0c3491b4080f6fb065 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: May 25 2021 16:31:35 +0000
Subject: [PATCH 54/88] Bump to F34 & antora 2.3 & node 14


---

diff --git a/Dockerfile b/Dockerfile
index e51e4bc..455cdda 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,9 +1,9 @@
-FROM fedora:31
+FROM fedora:34
 
-RUN dnf -y module install nodejs:10 && \
+RUN dnf -y module install nodejs:14 && \
     dnf clean all
 
-RUN npm i -g @antora/cli@2.0 @antora/site-generator-default@2.0
+RUN npm i -g @antora/cli@2.3 @antora/site-generator-default@2.3
 
 WORKDIR /antora
 ENTRYPOINT [ "antora" ]
diff --git a/build-scripts/Dockerfile b/build-scripts/Dockerfile
index a20ccc6..4fa459f 100644
--- a/build-scripts/Dockerfile
+++ b/build-scripts/Dockerfile
@@ -1,10 +1,10 @@
-FROM fedora:31
+FROM fedora:34
 
-RUN dnf -y module install nodejs:10/default && \
+RUN dnf -y module install nodejs:14/default && \
     dnf -y install git python3-yaml && \
     dnf clean all
 
-RUN npm i -g @antora/cli@2.0 @antora/site-generator-default@2.0
+RUN npm i -g @antora/cli@2.3 @antora/site-generator-default@2.3
 
 ADD rebuild-site.py /antora/rebuild-site.py
 

